ISC-CONFIG.SH(1)

NAME
isc-config.sh - Get information about the installed version of ISC BIND

SYNOPSIS

isc-config.sh [--cflags] [--exec-prefix] [--libs] [--prefix] [--version] [libraries...]

DESCRIPTION

isc-config.sh prints information related to the installed version of ISC BIND, such as the compiler and linker flags required to compile and link programs that use ISC BIND libraries.

The optional libraries are used to report specific details for compiling and linking for the listed libraries. The allowed choices are: isc, isccc, isccfg, dns, lwres, and bind9. Multiple libraries may be listed on the command line. (Some libraries require other libraries, so are implied.)

OPTIONS

--cflags
    Prints the compiler command line options required to compile files that use ISC BIND. Use the libraries command line argument(s) to print additional specific flags to pass to the C compiler.

--exec-prefix
    Prints the directory prefix used in the ISC BIND installation for architecture dependent files to standard output.

--libs
    Prints the linker command line options used to link with the ISC BIND libraries. Use the libraries command line argument(s) to print additional specific flags.

--prefix
    Prints the directory prefix used in the ISC BIND installation for architecture independent files to standard output.

--version
    Prints the version of the installed ISC BIND suite.

RETURN VALUES

isc-config.sh returns an exit status of 1 if invoked with invalid arguments or no arguments at all. It returns 0 if information was successfully printed.

AUTHOR

Internet Systems Consortium

COPYRIGHT
Copyright © 2009 Internet Systems Consortium, Inc. ("ISC")